Bug 430378 - Auto detect of backspace key does not work in screen
Auto detect of backspace key does not work in screen
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-27 00:49 EST by Jon Stanley
Modified: 2009-01-09 02:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Stanley 2008-01-27 00:49:08 EST
When using screen inside of Terminal, the auto-detection of the backspace key
does not work, and you have to manually set it to Control-H in Preferences/Advanced.

Steps to reproduce:

1)  Start a Terminal - note that backspace is working as it should
2)  Start screen (screen-4.0.3-8.fc8 was used here), type some garbage in the
shell, backspace key does nothing
3)  Change TERM to various values with no effect
4)  Change the backspace key in Preferences/Advanced to Control-H, and notice
everything works as it should again.

This occurs in Terminal-0.2.8-2.fc8
Comment 1 Kevin Fenzi 2008-01-27 12:05:56 EST
Looks like this has been reported upstream: 
http://bugzilla.xfce.org/show_bug.cgi?id=2925

and the mandrivia maintainer (who reported it) has a patch for it:
http://qa.mandriva.com/show_bug.cgi?id=36455

Will try and track down that patch and get it pushed out. 

Thanks for the bug report!
Comment 2 Kevin Fenzi 2008-01-27 12:23:43 EST
Turns out after digging around, the fix in mandriva is just them setting the
terminal settings to control-H by default. 

I will see if I can come up with some more clean solution...
Comment 3 Bug Zapper 2008-11-26 04:35:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 02:37:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.